Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.update
Class UpdateManager

    java.lang.Object
      nextapp.echo2.app.update.UpdateManager

All Implemented Interfaces:
  java.io.Serializable

    public class UpdateManager

extends java.lang.Object
implements java.io.Serializable

Primary interface to update management architecture.

See Also:
  Serialized Form

Constructor Summary
`UpdateManager(ApplicationInstance applicationInstance)` Creates a new `UpdateManager`.

Method Summary
`ClientUpdateManager` | `getClientUpdateManager()` Returns the `ClientUpdateManager`, which is responsible for queuing and processing updates received from the client.
`ServerUpdateManager` | `getServerUpdateManager()` Returns the `ServerUpdateManager`, which is responsible for queuing server-side updates and rendering them to the client.
`void` | `processClientUpdates()` Processes client updates.
`void` | `purge()` Purges all client and server updates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateManager

    public UpdateManager(ApplicationInstance applicationInstance)

  Creates a new `UpdateManager`. Warning: the creator must take care to invoke the `dispose()` method before dereferencing this object.

  Parameters:
    `applicationInstance` - the `ApplicationInstance` which this manager will service

Method Detail

### getClientUpdateManager

    public ClientUpdateManager getClientUpdateManager()

  Returns the `ClientUpdateManager`, which is responsible for queuing and processing updates received from the client.

  Returns:
    the `ClientUpdateManager`

### getServerUpdateManager

    public ServerUpdateManager getServerUpdateManager()

  Returns the `ServerUpdateManager`, which is responsible for queuing server-side updates and rendering them to the client.

  Returns:
    the `ServerUpdateManager`

### processClientUpdates

    public void processClientUpdates()

  Processes client updates. Processes any queued tasks. Validates the component hierarchy for rendering in response to updates.

### purge

    public void purge()

  Purges all client and server updates.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD